Bug 432763 - XP sp2 clients report "Delayed write failed" after upgrading to samba-3.0.25b-1.el5_1.4
XP sp2 clients report "Delayed write failed" after upgrading to samba-3.0.25b...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.1
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 03:07 EST by Frank Wang
Modified: 2010-04-26 10:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 10:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Wang 2008-02-14 03:07:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.8 (like Gecko)

Description of problem:
After upgrading to EL-5.1 (i386), some XP sp2 clients report 
intermittently "Delayed write failed" error when writing to the samba share, 
read access is OK as before. The source is MRxSmb, event ID is 50 and status 
is c000020c according to XP event log. Microsoft's KB suggest bad hardware or 
network connection, but it's likely here. I finally managed to reproduce the 
problem in one of our XPs when compressing roughly 300M files in the share and 
store the compressed to the same one using Winrar. Compressing aborts at the 
middle of the process and raises the same "Delayed write failed" error. It can 
be reproduced only if the XP client boot after the EL-5.1 server. Same 
operation subsequently will be successful. After downgrading to the 
samba-3.0.23c-2.el5.2.0.2, it can't be reproduced anymore. No clients report 
similar problems so far.

Version-Release number of selected component (if applicable):
samba-3.0.25b-1.el5_1.4

How reproducible:
Always


Steps to Reproduce:
1. Store some big test files in the samba share (total size 300M in my case). 
Install the Winrar in XP sp2 if there isn't one. (winrar-3.61 here)
2. Reboot the EL-5.1 server. After it's ready, reboot the XP sp2 client.
3. Select all the test files in the share from XP, right click and choose 
compress with Winrar. Save the compressed to the same share.

Actual Results:
Compressing aborted and "Delayed write failed" raised.

Expected Results:
Compressed file should be written to the share.

Additional info:
smb.conf
# Global parameters
 [global]
         netbios name = XXXX
         workgroup = XXXXXX
         server string = XXXXXXXXXXXXXXX
         log file = /var/log/samba/%m.log
         max log size = 500
         dns proxy = No
         local master = Yes
         hosts allow = 127.0.0.1, 168.8.8.0/24
         hosts deny = 0.0.0.0/0
         interfaces = br0 lo
         bind interfaces only = Yes
         load printers = No
         show add printer wizard = No
         max smbd processes = 300
         max connections = 300
         deadtime = 15
         config file = /etc/samba/smb.conf.%G
         passdb backend = tdbsam:/etc/samba/passdb.tdb
         log level = 2
         username map = /etc/samba/smbusers
         printcap name = /dev/null
         disable spoolss = yes
         smb ports = 139
         socket options = tcp_nodelay so_keepalive so_sndbuf=16384 
so_rcvbuf=16384
 
 [dep]
         comment = Department share
         path = /var/smb/%G
         valid users= +%G
         read only = No

Relevent syslog:
Feb  9 22:32:25 zbsd smbd[2798]: [2008/02/09 22:32:25, 0] 
lib/util_sock.c:write_data(562)
Feb  9 22:32:25 zbsd smbd[2798]:   write_data: write failure in writing to 
client 168.8.8.38. Error Connection reset by peer
Feb  9 22:32:25 zbsd smbd[2798]: [2008/02/09 22:32:25, 0] 
lib/util_sock.c:send_smb(769)
Feb  9 22:32:25 zbsd smbd[2798]:   Error writing 4 bytes to client. -1. 
(Connection reset by peer)
Feb  9 22:35:31 zbsd smbd[2799]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:read_data(534)
Feb  9 22:35:31 zbsd smbd[2799]:   read_data: read failure for 4 bytes to 
client 168.8.8.38. Error = Connection reset by peer
Feb  9 22:35:31 zbsd smbd[2799]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:write_data(562)
Feb  9 22:35:31 zbsd smbd[2799]:   write_data: write failure in writing to 
client 168.8.8.38. Error Broken pipe
Feb  9 22:35:31 zbsd smbd[2799]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:send_smb(769)
Feb  9 22:35:31 zbsd smbd[2799]:   Error writing 75 bytes to client. -1. 
(Broken pipe)
Feb  9 22:35:31 zbsd smbd[2805]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:get_peer_addr(1232)
Feb  9 22:35:31 zbsd smbd[2805]:   getpeername failed. Error was Transport 
endpoint is not connected
Feb  9 22:35:31 zbsd smbd[2805]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:get_peer_addr(1232)
Feb  9 22:35:31 zbsd smbd[2805]:   getpeername failed. Error was Transport 
endpoint is not connected
Feb  9 22:35:31 zbsd smbd[2805]: [2008/02/09 22:35:31, 0] 
lib/access.c:check_access(327)
Feb  9 22:35:31 zbsd smbd[2805]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:get_peer_addr(1232)
Feb  9 22:35:31 zbsd smbd[2805]:   getpeername failed. Error was Transport 
endpoint is not connected
Feb  9 22:35:31 zbsd smbd[2805]:   Denied connection from  (0.0.0.0)
Feb  9 22:35:31 zbsd smbd[2805]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:get_peer_addr(1232)
Feb  9 22:35:31 zbsd smbd[2805]:   getpeername failed. Error was Transport 
endpoint is not connected
Feb  9 22:35:31 zbsd smbd[2805]:   Connection denied from 0.0.0.0
Feb  9 22:35:31 zbsd smbd[2805]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:write_data(562)
Feb  9 22:35:31 zbsd smbd[2805]:   write_data: write failure in writing to 
client 168.8.8.38. Error Connection reset by peer
Feb  9 22:35:31 zbsd smbd[2805]: [2008/02/09 22:35:31, 0] 
lib/util_sock.c:send_smb(769)
Feb  9 22:35:31 zbsd smbd[2805]:   Error writing 5 bytes to client. -1. 
(Connection reset by peer
Comment 1 Levente Farkas 2008-03-05 05:40:35 EST
the same happened for us. we open big adobe indesign files and it happend daily.
the strange thing that it's only happened for two clients.
any tip or progress other then downgrade?
Comment 2 Levente Farkas 2008-03-05 06:25:48 EST
here is the solution which should have to included in rhel's samba too:
http://marc.info/?l=samba&m=118168584629816&w=2
Comment 3 Levente Farkas 2008-03-05 06:26:41 EST
and the samba bug entry:
https://bugzilla.samba.org/show_bug.cgi?id=4689
Comment 4 Simo Sorce 2008-03-05 09:02:35 EST
The above patch was part of samba 3.0.25b and is included in RHEL5 packages,
I suspect this bug might be a duplicate of #435316, any chance you can try out
the beta packages out soon now in the beta channel ?
Comment 5 Frank Wang 2008-03-06 05:12:08 EST
(In reply to comment #4)
> The above patch was part of samba 3.0.25b and is included in RHEL5 packages,
> I suspect this bug might be a duplicate of #435316, any chance you can try 
out
> the beta packages out soon now in the beta channel ?

Sure, I can try it. Where can I download it?
Comment 6 Simo Sorce 2008-03-06 09:33:59 EST
I have some test packages I built in my people.redhat.com page, beta packages
will be released through the relative RHN channel.
Comment 7 Levente Farkas 2008-03-07 05:57:55 EST
i read this too late, but i recompile the
fedora/updates/8/SRPMS/samba-3.0.28-0.fc8.src.rpm
on our server and the problem disappear so the problem somewhere between this
two version. but if your packages on people will be release as a updates to rhel
i'd rather test it. so i download it and install it on our server. if i don't
complain in a few days than it's working:-)
Comment 8 Levente Farkas 2008-03-11 08:30:10 EDT
it seems to working.
Comment 9 Scott Becker 2008-05-13 12:00:02 EDT
Over the recent months, as I've upgraded fileservers to rhel5, I've been having
this problem. I tried the beta and instead of having lost data and the "Delayed"
error message, I've been having lockups. I'm going to try the older version
instead of the beta and will report back.
Comment 10 Scott Becker 2008-05-14 11:01:28 EDT
on rhel5, only rolling back to samba-3.0.23c-2.el5.2.0.2 got our production
server stable.

samba-3.0.25b-1.el5_1.4 caused "delayed write errors"

and 3.0.28 from the beta channel has other problems. I get the hunch that it's
hanging the windows xp system (sp2) on file open for write.

If the beta version is about to be released, DON'T. At least for me, it causes
problems which are just as serious, but are more disruptive and happen more often.

If you can get 3.0.28a into rawhide I'll risk our production systems (two) and
test it. We have a third fileserver running it with fedora 8 and though it's
usage is quite different, it's doesn't appear to have the problems.

In a year we won't need samba but until then it's critical for us.
Comment 11 Simo Sorce 2008-05-14 11:13:02 EDT
The 3.0.28 package in the beta channel shoulkd have all the critical fixes that
are in 3.0.28a. If Fedora 8 works for you (3.0.28a) I'd be *very* interested in
getting more info on the problem you experienced with RHEL 5.2 beta packages.
So far we got only good reports.
I might have a fix in the pipeline that I could rush to an async update if it
turns out it is indeed a serious problem.

Can you please open a new bug and attach configuration and log files so that I
can analyze the problem you are having with the beta packages?
Comment 12 Dmitri Pal 2010-04-26 10:38:28 EDT
We think it is fixed in the current available version. Also there is no reply from the reporter.

Note You need to log in before you can comment on or make changes to this bug.